# -*- coding: utf-8 -*-
'''
Created on Mar 7, 2015

@author: ymh
'''
from __future__ import absolute_import

from celery import shared_task

from hdalab.models.renkan import HdalabRenkan
from hdalab.services import renkan_capture_preview


@shared_task
def capture_preview(rk_id):
    
    hdalab_renkan = HdalabRenkan.objects.filter(renkan__rk_id=rk_id).select_related().get()
    
    renkan_capture_preview(hdalab_renkan)